Onboard Endpoint

Onboard Endpoint
API to onboard an endpoint with License Hub.

API to onboard an endpoint with License Hub.

Request
URI
POST
https://{api_host}/licensing/endpoints
COPY
Query Parameters
boolean
force_onboard
Optional
Constraints: default: false

The "force onboard" option can be used if an endpoint is currently onboarded to another License Hub instance. Selecting this option will remove all existing artifacts referencing the previous instance and onboard the endpoint to the current one. Please note that this option is only recommended if the previous License Hub instance is no longer active. If the earlier instance is still active and connected, please offboard the endpoint from that instance before onboarding it to the new one. Failing to do so may cause connectivity issues between the endpoint and the License Hub instances involved.


Request Body

Endpoint details

Endpoint of type(s) application/json
Required
This request body class requires all of the following: ManagedResource , InlineEndpoint1
{
    "_create_user": "string",
    "_create_time": 0,
    "_last_modified_user": "string",
    "_last_modified_time": 0,
    "_revision": 0,
    "_resource_type": "string",
    "_system_owned": false,
    "id": "string",
    "display_name": "string",
    "description": "string",
    "site_ids": [
        "string"
    ],
    "endpoint_type": "string",
    "connection_info": {
        "connection_type": "string",
        "hostname": "string"
    },
    "status": "string"
}
Authentication
This operation uses the following authentication methods.
Responses
200

Endpoint is onboarded successfully.

Returns Endpoint of type(s) application/json
This response body class contains all of the following: ManagedResource , InlineEndpoint1
{
    "id": "ffddc3d9-ecaa-470a-9155-69cbc2783d87",
    "display_name": "NSX London",
    "endpoint_type": "NSX_MANAGER",
    "connection_info": {
        "connection_type": "DYNAMIC",
        "hostname": "nsx-manager.abc.com"
    },
    "status": "NOT_READY"
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


default

unexpected error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/licensing/endpoints